Subject: Re: [PATCH net v3] net: usb: ax88179_178a: avoid the interface always configured as random address

From: Simon Horman <[email-masked]>
Date: Tue, 2 Apr 2024 09:36:26 +0100

On Mon, Apr 01, 2024 at 10:19:50AM +0200, Jose Ignacio Tornos Martinez wrote:
> After the commit d2689b6a86b9 ("net: usb: ax88179_178a: avoid two
> consecutive device resets"), reset is not executed from bind operation and
> mac address is not read from the device registers or the devicetree at that
> moment. Since the check to configure if the assigned mac address is random
> or not for the interface, happens after the bind operation from
> usbnet_probe, the interface keeps configured as random address, although the
> address is correctly read and set during open operation (the only reset
> now).
> 
> In order to keep only one reset for the device and to avoid the interface
> always configured as random address, after reset, configure correctly the
> suitable field from the driver, if the mac address is read successfully from
> the device registers or the devicetree.
> 
> cc: [email-masked] # 6.6+
> Fixes: d2689b6a86b9 ("net: usb: ax88179_178a: avoid two consecutive device resets")
> Reported-by: Dave Stevenson  <[email-masked]>
> Signed-off-by: Jose Ignacio Tornos Martinez <[email-masked]>
> ---
> v3:
>   - Send the patch separately to net.
> v2:
>   - Split the fix and the improvement in two patches as Simon Horman
> suggests.
> v1: https://lore.kernel.org/netdev/[email-masked]/

Thanks for the updates.

Reviewed-by: Simon Horman <[email-masked]>